from interactions import Extension, slash_command, SlashContext
from gwendolyn.utils import PARAMS as params

class BetterNetflixExtension(Extension):
    """Contains the Better Netflix commands."""
    @slash_command(**params["better_netflix"]["movie"])
    async def movie(self, ctx: SlashContext):
        await self.bot.better_netflix.movie(ctx)

    @slash_command(**params["better_netflix"]["show"])
    async def show(self, ctx: SlashContext):
        await self.bot.better_netflix.show(ctx)

    @slash_command(**params["better_netflix"]["downloading"])
    async def downloading(self, ctx: SlashContext):
        await self.bot.better_netflix.downloading(ctx)